summaryrefslogtreecommitdiff
path: root/tests/rm/fail-eperm
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/fail-eperm')
-rwxr-xr-xtests/rm/fail-eperm10
1 files changed, 4 insertions, 6 deletions
diff --git a/tests/rm/fail-eperm b/tests/rm/fail-eperm
index 837804bdd..2e4d64cb3 100755
--- a/tests/rm/fail-eperm
+++ b/tests/rm/fail-eperm
@@ -6,13 +6,11 @@
: ${PERL=perl}
: ${srcdir=.}
-case "$PERL" in
- *'missing perl') #'
- echo 1>&2 \
- "$0: configure didn't find a usable version of Perl, so can't run this test"
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
exit 77
- ;;
-esac
+}
ARGV_0=$0
export ARGV_0